Bug 214621 - Allow gfs2_edit to view, print and edit gfs(1) file systems
Allow gfs2_edit to view, print and edit gfs(1) file systems
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robert Peterson
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-08 12:47 EST by Robert Peterson
Modified: 2009-04-16 18:45 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2007-0579
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 13:04:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to allow gfs2_edit to operate on gfs1 file systems (10.79 KB, patch)
2006-11-08 13:12 EST, Robert Peterson
no flags Details | Diff

  None (edit)
Description Robert Peterson 2006-11-08 12:47:00 EST
Description of problem:
The current gfs_edit program does not have any capabilities to
print GFS structures or any of the new gfs2_edit features.  It would
be nice to allow gfs2_edit be able to distinguish between a gfs1 and
gfs2 file system and be able to view, edit, and print gfs1 data
structures such as the superblock, root directory, rgindex, journal
index, etc.

Version-Release number of selected component (if applicable):
RHEL5 beta 1 with latest cluster software from HEAD

How reproducible:
Always

Steps to Reproduce:
1. gfs2_edit /dev/gfs1_vg/gfs1_lvol
  
Actual results:
gfs2_edit treats a gfs1 fs as if it were gfs2.

Expected results:
gfs2_edit should flag the difference and allow printing of gfs1
data structures (i.e. superblock, directories, etc) when run on
a gfs1 file system.

Additional info:
I've already written changes to do this so I could use the print
function to help in debugging a customer issue involving a gfs1
file system.  I just wanted this bugzilla record to document these
code changes.
Comment 1 Robert Peterson 2006-11-08 13:12:24 EST
Created attachment 140685 [details]
Patch to allow gfs2_edit to operate on gfs1 file systems
Comment 2 Robert Peterson 2006-11-09 10:35:01 EST
Code was committed to cvs for HEAD and RHEL5 that's better than the 
previous patch.  The previous patch did not correctly identify and
show/print some of the inode information that's changed from gfs1.
Also added a 'c' command to toggle the color scheme.  Also added a
few command and parameter synonyms like 'rgindex' for 'rindex' and
-help for -h.

This is much easier than trying to port the missing gfs2_edit
functionality to gfs_edit.
Comment 6 errata-xmlrpc 2007-11-07 13:04:22 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0579.html

Note You need to log in before you can comment on or make changes to this bug.